curl --request POST \
--url https://api.zappaz.io/api/v1/session/{sessionId}/message/video \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"number": "5511999999999",
"source": "https://example.com/video.mp4",
"fileName": "my-video.mp4",
"caption": "Check out this video!",
"gifPlayback": false,
"mentions": [
"5511999999999",
"5511999999999@s.whatsapp.net"
],
"quoted": "3EB0B5EED74106A7F4EC06",
"delay": 2000
}
'import requests
url = "https://api.zappaz.io/api/v1/session/{sessionId}/message/video"
payload = {
"number": "5511999999999",
"source": "https://example.com/video.mp4",
"fileName": "my-video.mp4",
"caption": "Check out this video!",
"gifPlayback": False,
"mentions": ["5511999999999", "5511999999999@s.whatsapp.net"],
"quoted": "3EB0B5EED74106A7F4EC06",
"delay": 2000
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
number: '5511999999999',
source: 'https://example.com/video.mp4',
fileName: 'my-video.mp4',
caption: 'Check out this video!',
gifPlayback: false,
mentions: ['5511999999999', '5511999999999@s.whatsapp.net'],
quoted: '3EB0B5EED74106A7F4EC06',
delay: 2000
})
};
fetch('https://api.zappaz.io/api/v1/session/{sessionId}/message/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}{
"status": "failed",
"message": "<string>"
}{
"status": "failed",
"message": "<string>"
}Send video message
Envia uma mensagem com vídeo para um número específico do WhatsApp. O parâmetro ‘source’ pode ser uma URL para um arquivo de vídeo ou uma string base64 do vídeo (sem qualquer prefixo do esquema URI de dados).
Authorizations
Token de usuário ou sessão, passado diretamente como uma string no cabeçalho 'Authorization'. O token de usuário tem escopo sobre todas as sessões pertencentes ao usuário. O token de sessão é limitado à própria sessão.
Path Parameters
Identificador único da sessão
Body
Número do WhatsApp para enviar a mensagem
"5511999999999"
URL para um arquivo de vídeo ou dados do vídeo codificados em base64 (sem qualquer prefixo do esquema URI de dados como 'data:video/mp4;base64,')
"https://example.com/video.mp4"
(Opcional) Nome personalizado para o arquivo do vídeo
"my-video.mp4"
(Opcional) Legenda para o vídeo
"Check out this video!"
(Opcional) Se deve enviar o vídeo como GIF
(Opcional) Um array de JIDs ou números de telefone para mencionar na legenda
[ "5511999999999", "5511999999999@s.whatsapp.net" ]
(Opcional) ID da mensagem para citar
"3EB0B5EED74106A7F4EC06"
(Opcional) Atraso em segundos antes de enviar a mensagem
2000

